XYChart.Data (JavaFX 13)

Module javafx.controls
Package javafx.scene.chart

## Class XYChart.Data<X,​Y>

- java.lang.Object
- - javafx.scene.chart.XYChart.Data<X,​Y>

- Enclosing class:
    XYChart<X,​Y>

      public static final class XYChart.Data<X,​Y>
      extends Object

  A single data item with data for 2 axis charts
  Since:
    JavaFX 2.0

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `ObjectProperty<Object>` | `extraValue` | The generic data value to be plotted in any way the chart needs.
    `ObjectProperty<Node>` | `node` | The node to display for this data item.
    `ObjectProperty<X>` | `XValue` | The generic data value to be plotted on the X axis.
    `ObjectProperty<Y>` | `YValue` | The generic data value to be plotted on the Y axis.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Data()` | Creates an empty XYChart.Data object.
    `Data​(X xValue, Y yValue)` | Creates an instance of XYChart.Data object and initializes the X,Y data values.
    `Data​(X xValue, Y yValue, Object extraValue)` | Creates an instance of XYChart.Data object and initializes the X,Y data values and extraValue.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ObjectProperty<Object>` | `extraValueProperty()` | The generic data value to be plotted in any way the chart needs.
    `Object` | `getExtraValue()` | Gets the value of the property extraValue.
    `Node` | `getNode()` | Gets the value of the property node.
    `X` | `getXValue()` | Gets the generic data value to be plotted on the X axis.
    `Y` | `getYValue()` | Gets the generic data value to be plotted on the Y axis.
    `ObjectProperty<Node>` | `nodeProperty()` | The node to display for this data item.
    `void` | `setExtraValue​(Object value)` | Sets the value of the property extraValue.
    `void` | `setNode​(Node value)` | Sets the value of the property node.
    `void` | `setXValue​(X value)` | Sets the generic data value to be plotted on the X axis.
    `void` | `setYValue​(Y value)` | Sets the generic data value to be plotted on the Y axis.
    `String` | `toString()` | Returns a string representation of this `Data` object.
    `ObjectProperty<X>` | `XValueProperty()` | The generic data value to be plotted on the X axis.
    `ObjectProperty<Y>` | `YValueProperty()` | The generic data value to be plotted on the Y axis.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### XValue

          public final ObjectProperty<X> XValueProperty

      The generic data value to be plotted on the X axis.
      See Also:
        `getXValue()`, `setXValue(X)`

    - #### YValue

          public final ObjectProperty<Y> YValueProperty

      The generic data value to be plotted on the Y axis.
      See Also:
        `getYValue()`, `setYValue(Y)`

    - #### extraValue

          public final ObjectProperty<Object> extraValueProperty

      The generic data value to be plotted in any way the chart needs. For example used as the radius for BubbleChart.
      See Also:
        `getExtraValue()`, `setExtraValue(Object)`

    - #### node

          public final ObjectProperty<Node> nodeProperty

      The node to display for this data item. You can either create your own node and set it on the data item before you add the item to the chart. Otherwise the chart will create a node for you that has the default representation for the chart type. This node will be set as soon as the data is added to the chart. You can then get it to add mouse listeners etc. Charts will do their best to position and size the node appropriately, for example on a Line or Scatter chart this node will be positioned centered on the data values position. For a bar chart this is positioned and resized as the bar for this data item.
      See Also:
        `getNode()`, `setNode(Node)`

  - ### Constructor Detail

    - #### Data

          public Data()

      Creates an empty XYChart.Data object.

    - #### Data

          public Data​(X xValue,
                      Y yValue)

      Creates an instance of XYChart.Data object and initializes the X,Y data values.
      Parameters:
        `xValue` - The X axis data value
        `yValue` - The Y axis data value

    - #### Data

          public Data​(X xValue,
                      Y yValue,
                      Object extraValue)

      Creates an instance of XYChart.Data object and initializes the X,Y data values and extraValue.
      Parameters:
        `xValue` - The X axis data value.
        `yValue` - The Y axis data value.
        `extraValue` - Chart extra value.

  - ### Method Detail

    - #### getXValue

          public final X getXValue()

      Gets the generic data value to be plotted on the X axis.
      Returns:
        the generic data value to be plotted on the X axis.

    - #### setXValue

          public final void setXValue​(X value)

      Sets the generic data value to be plotted on the X axis.
      Parameters:
        `value` - the generic data value to be plotted on the X axis.

    - #### XValueProperty

          public final ObjectProperty<X> XValueProperty()

      The generic data value to be plotted on the X axis.
      See Also:
        `getXValue()`, `setXValue(X)`

    - #### getYValue

          public final Y getYValue()

      Gets the generic data value to be plotted on the Y axis.
      Returns:
        the generic data value to be plotted on the Y axis.

    - #### setYValue

          public final void setYValue​(Y value)

      Sets the generic data value to be plotted on the Y axis.
      Parameters:
        `value` - the generic data value to be plotted on the Y axis.

    - #### YValueProperty

          public final ObjectProperty<Y> YValueProperty()

      The generic data value to be plotted on the Y axis.
      See Also:
        `getYValue()`, `setYValue(Y)`

    - #### getExtraValue

          public final Object getExtraValue()

      Gets the value of the property extraValue.
      Property description:
        The generic data value to be plotted in any way the chart needs. For example used as the radius for BubbleChart.

    - #### setExtraValue

          public final void setExtraValue​(Object value)

      Sets the value of the property extraValue.
      Property description:
        The generic data value to be plotted in any way the chart needs. For example used as the radius for BubbleChart.

    - #### extraValueProperty

          public final ObjectProperty<Object> extraValueProperty()

      The generic data value to be plotted in any way the chart needs. For example used as the radius for BubbleChart.
      See Also:
        `getExtraValue()`, `setExtraValue(Object)`

    - #### getNode

          public final Node getNode()

      Gets the value of the property node.
      Property description:
        The node to display for this data item. You can either create your own node and set it on the data item before you add the item to the chart. Otherwise the chart will create a node for you that has the default representation for the chart type. This node will be set as soon as the data is added to the chart. You can then get it to add mouse listeners etc. Charts will do their best to position and size the node appropriately, for example on a Line or Scatter chart this node will be positioned centered on the data values position. For a bar chart this is positioned and resized as the bar for this data item.

    - #### setNode

          public final void setNode​(Node value)

      Sets the value of the property node.
      Property description:
        The node to display for this data item. You can either create your own node and set it on the data item before you add the item to the chart. Otherwise the chart will create a node for you that has the default representation for the chart type. This node will be set as soon as the data is added to the chart. You can then get it to add mouse listeners etc. Charts will do their best to position and size the node appropriately, for example on a Line or Scatter chart this node will be positioned centered on the data values position. For a bar chart this is positioned and resized as the bar for this data item.

    - #### nodeProperty

          public final ObjectProperty<Node> nodeProperty()

      The node to display for this data item. You can either create your own node and set it on the data item before you add the item to the chart. Otherwise the chart will create a node for you that has the default representation for the chart type. This node will be set as soon as the data is added to the chart. You can then get it to add mouse listeners etc. Charts will do their best to position and size the node appropriately, for example on a Line or Scatter chart this node will be positioned centered on the data values position. For a bar chart this is positioned and resized as the bar for this data item.
      See Also:
        `getNode()`, `setNode(Node)`

    - #### toString

          public String toString()

      Returns a string representation of this `Data` object.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this `Data` object.